{% extends "/admin/master.twig" %}

{% block title %}Tag editor{% endblock %}
{% block description %}Edit tags{% endblock %}

{% block body %}

    <form class="ui form" id="form" method="POST" action="/admin/tags/edit">

        <div class="ui error message"></div>

        <div class="field">
            <label>Tag Name</label>
            <input name="name" placeholder="Category name" type="text" value="{{ tag.name }}">
        </div>

        <div class="field">
            <label>Tag description (supports markdown)</label>
            <textarea name="description" placeholder="Category description" type="text">{{ tag.description }}</textarea>
        </div>

        <div class="field">
            <label>Tag Image</label>
            <input name="image" placeholder="Category image link" type="text" value="{{ tag.picture }}">
        </div>

        <input name="id" type="hidden" value="{{ tag.id }}">
        <input type="hidden" name="token" value="{{ token }}">

        <button class="ui fluid button" type="submit">
            {{ tag is empty ? 'Publish' : 'Confirm edit' }}
        </button>
    </form>

    {% block header %}
    {% endblock %}

    <script>
        $('.ui.form')
            .form({
                fields: {
                    name: {
                        identifier: 'name',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Name cannot be empty'
                            }
                        ]
                    },
                    description: {
                        identifier: 'description',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Description cannot be empty'
                            }
                        ]
                    }
                }
            })
        ;
    </script>

{% endblock %}
